View Issue Details

IDProjectCategoryView StatusLast Update
0001957FreeCADFeaturepublic2017-01-11 20:38
ReportershoogenAssigned Towmayer 
PrioritynoneSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001957: add a python command to partly recompute the document
DescriptionOften python commands recompute the whole document just to get a single shape to be updated. In this case it would suffice to recompute the feature itself and objects it depends on.
TagsNo tags attached.

Activities

Related Changesets

FreeCAD: master 2a145a12

2016-11-19 16:24:11

wmayer

Details Diff
expose recompute() of document object to Python Affected Issues
0001957
mod - src/App/DocumentObject.cpp Diff File
mod - src/App/DocumentObject.h Diff File
mod - src/App/DocumentObjectPy.xml Diff File
mod - src/App/DocumentObjectPyImp.cpp Diff File
mod - src/App/FeaturePython.cpp Diff File

Issue History

Date Modified Username Field Change
2015-02-09 13:00 shoogen New Issue
2017-01-11 19:36 Kunda1 Note Added: 0007644
2017-01-11 20:38 wmayer Changeset attached => FreeCAD Master master 2a145a12
2017-01-11 20:38 wmayer Status new => closed
2017-01-11 20:38 wmayer Assigned To => wmayer
2017-01-11 20:38 wmayer Resolution open => fixed
2017-01-11 20:38 wmayer Fixed in Version => 0.17